use axum::{Router, routing::get, routing::post, routing::put};

use crate::chat::handlers::*;
use crate::utils::db_pool::AppState;

pub fn chat_routes() -> Router<AppState> {
    Router::new()
        .route("/create_conversation", post(create_conversation))
        .route("/add_users_conv", put(add_user_to_conv))
        .route("/send_message", post(send_message))
        .route("/get_conv", post(get_convs))
        .route("/get_message", post(get_message))
        .route("/hotel_users", post(get_hotel_users))
        .route("/get_conv_users/{conv_id}", post(get_conv_users))
}
